/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
/* Any JavaScript here will be loaded for all users on every page load. */

/*
See also:
* [[MediaWiki:Common.js]]
* [[MediaWiki:Monobook.js]]
* [[MediaWiki:IEFixesplus.js]]
* [[MediaWiki:Unwatch.js]]
* [[MediaWiki:Onlyifediting.js]]
* [[MediaWiki:Wikificator.js]]
* [[MediaWiki:Pulldown.js]]
* [[MediaWiki:Translit.js]]
* [[MediaWiki:Edittools.js]]

== Temporary workaround for bug 6756 ==
<pre>*/
// BEGIN workaround for RTL
if (wgUserLanguage == "kk-cn") 
{
  document.direction="rtl";
  document.write('<style type="text/css">html {direction: rtl;}</style>');
  document.write('<link rel="stylesheet" type="text/css" href="'+stylepath+'/common/common_rtl.css">');
  document.write('<link rel="stylesheet" type="text/css" href="'+stylepath+'/'+skin+'/rtl.css">');
}
// END workaround for RTL
/*</pre>

== addLoadEvent ==
<pre>*/
/* Execute function on page load *********************************************
 *
 *  Description: Wrapper around addOnloadHook() for backwards compatibility.
 *               Will be removed in the near future.
 *  Maintainers: User:R. Koot
 */

function addLoadEvent( f ) { addOnloadHook( f ); }


 // END function addLoadEvent

/*</pre>

== lOWERcase titles ==
<pre>*/
// BEGIN lOWERcase titles
// like eBay, iPod (See. MediaZilla:496, MediaZilla:2118)
// Look in usage of [[Template:lowercase]]
if (document.URL.indexOf("=edit") > 0 || document.URL.indexOf("=submit") > 0) {var noJS;}
else {
 document.write('<style type="text/css">#properTitle {display: none; speak: none;}<\/style>');
 function pTitle() {
  if (document.getElementById("properTitle")) {
   var pTitle = document.getElementById("pTitle").innerHTML;
   document.getElementsByTagName("h1")[0].innerHTML = pTitle;
  }
 }
 hookEvent("load", pTitle);
}

// END lOWERcase titles
/*</pre>

== Dynamic Navigation Bars ==
<pre>*/
// BEGIN Dynamic Navigation Bars (experimantal)
 // set up the words in your language
 var NavigationBarHide = '[ жасыр  ▼ ]';
 var NavigationBarShow = '[ көрсет ► ]';
 
 // set up max count of Navigation Bars on page,
 // if there are more, all will be hidden
 // NavigationBarShowDefault = 0; // all bars will be hidden
 // NavigationBarShowDefault = 1; // on pages with more than 1 bar all bars will be hidden
 var NavigationBarShowDefault = 0;
 
 
 // shows and hides content and picture (if available) of navigation bars
 // Parameters:
 //     indexNavigationBar: the index of navigation bar to be toggled
 function toggleNavigationBar(indexNavigationBar)
 {
    var NavToggle = document.getElementById("NavToggle" + indexNavigationBar);
    var NavFrame = document.getElementById("NavFrame" + indexNavigationBar);
 
    if (!NavFrame || !NavToggle) {
        return false;
    }
 
    // if shown now
    if (NavToggle.firstChild.data == NavigationBarHide) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'none';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'none';
            }
        }
    NavToggle.firstChild.data = NavigationBarShow;
 
    // if hidden now
    } else if (NavToggle.firstChild.data == NavigationBarShow) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'block';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'block';
            }
        }
    NavToggle.firstChild.data = NavigationBarHide;
    }
 }
 
 // adds show/hide-button to navigation bars
 function createNavigationBarToggleButton()
 {
    var indexNavigationBar = 0;
    // iterate over all < div >-elements
    for(
            var i=0; 
            NavFrame = document.getElementsByTagName("div")[i]; 
            i++
        ) {
        // if found a navigation bar
        if (NavFrame.className == "NavFrame") {
 
            indexNavigationBar++;
            var NavToggle = document.createElement("a");
            NavToggle.className = 'NavToggle';
            NavToggle.setAttribute('id', 'NavToggle' + indexNavigationBar);
            NavToggle.setAttribute('href', 'javascript:toggleNavigationBar(' + indexNavigationBar + ');');
            
            var NavToggleText = document.createTextNode(NavigationBarHide);
            NavToggle.appendChild(NavToggleText);
            // Find the NavHead and attach the toggle link (Must be this complicated because Moz's firstChild handling is borked)
            for(
              var j=0; 
              j < NavFrame.childNodes.length; 
              j++
            ) {
              if (NavFrame.childNodes[j].className == "NavHead") {
                NavFrame.childNodes[j].appendChild(NavToggle);
              }
            }
            NavFrame.setAttribute('id', 'NavFrame' + indexNavigationBar);
        }
    }
    // if more Navigation Bars found than Default: hide all
    if (NavigationBarShowDefault < indexNavigationBar) {
        for(
                var i=1; 
                i<=indexNavigationBar; 
                i++
        ) {
            toggleNavigationBar(i);
        }
    }
 
 }
 
 addLoadEvent(createNavigationBarToggleButton);

// END Dynamic Navigation Bars
/*</pre>

== Collapsible tables ==
<pre>*/
/** Collapsible tables *********************************************************
 *
 *  Description: Allows tables to be collapsed, show only the header. See
 *               Wikipedia:NavFrame.
 *  Maintainers: User:R. Koot
 */

var autoCollapse = 2;
var collapseCaption = "hide";
var expandCaption = "show";

function hasClass( element, className ) {
  var Classes = element.className.split( " " );
  for ( var i = 0; i < Classes.length; i++ ) {
    if ( Classes[i] == className ) {
      return ( true );
    }
  }
  return ( false );
}

function collapseTable( tableIndex )
{
    var Button = document.getElementById( "collapseButton" + tableIndex );
    var Table = document.getElementById( "collapsibleTable" + tableIndex );

    if ( !Table || !Button ) {
        return false;
    }

    var Rows = Table.getElementsByTagName( "tr" ); 

    if ( Button.firstChild.data == collapseCaption ) {
        for ( var i = 1; i < Rows.length; i++ ) {
            Rows[i].style.display = "none";
        }
        Button.firstChild.data = expandCaption;
    } else {
        for ( var i = 1; i < Rows.length; i++ ) {
            Rows[i].style.display = Rows[0].style.display;
        }
        Button.firstChild.data = collapseCaption;
    }
}

function createCollapseButtons()
{
    var tableIndex = 0;
    var NavigationBoxes = new Object();
    var Tables = document.getElementsByTagName("table");

    for ( var i = 0; i < Tables.length; i++ ) {
        if ( hasClass( Tables[i], "collapsible" ) ) {
            NavigationBoxes[ tableIndex ] = Tables[i];
            Tables[i].setAttribute( "id", "collapsibleTable" + tableIndex);

            var Button     = document.createElement( "span" );
            var ButtonLink = document.createElement( "a" );
            var ButtonText = document.createTextNode( collapseCaption );

            Button.style.styleFloat = "right";
            Button.style.cssFloat = "right";
            Button.style.fontWeight = "normal";
            Button.style.textAlign = "right";
            Button.style.width = "6em";

            ButtonLink.setAttribute( "id", "collapseButton" + tableIndex );
            ButtonLink.setAttribute( "href", "javascript:collapseTable(" + tableIndex + ");" );
            ButtonLink.appendChild( ButtonText );

            Button.appendChild( document.createTextNode( "[" ) );
            Button.appendChild( ButtonLink );
            Button.appendChild( document.createTextNode( "]" ) );

            var Header = Tables[i].getElementsByTagName( "tr" )[0].getElementsByTagName( "th" )[0];
            Header.insertBefore( Button, Header.childNodes[0] );

            tableIndex++;
        }
    }

    for ( var i = 0;  i < tableIndex; i++ ) {
        if ( hasClass( NavigationBoxes[i], "collapsed" ) || ( tableIndex >= autoCollapse && hasClass( NavigationBoxes[i], "autocollapse" ) ) ) {
            collapseTable(i);
        }
    }
}

addOnloadHook( createCollapseButtons );
// END
/*</pre>

== Transforming 'Village Pump' to Discussion pages==
<pre>*/
// BEGIN Transformer les pages du Bistro en page de discussion
function DiscussionBistro() 
{
// Is 'Village Pump'?
  if(document.title.search("Wikipedia:Асар") != -1)
    document.body.className = "ns-1";
}
     
addLoadEvent(DiscussionBistro);

// END Transformer les pages du Bistro en page de discussion
/*</pre>

== Function for import an external JavaScript ==
<pre>*/
var wikibranch = "";
function inc (wikibranch, file) { // branch are 'kk', 'en', 'ru' etc.
  var lt = String.fromCharCode(60);
  var gt = String.fromCharCode(62);
  var isLocal = ( (wikibranch == "kk") > 0 );
  var wikiserver = 'http://' + wikibranch + '.wikipedia.org';
  if (isLocal) { wikiserver = ""; }

  document.writeln(lt + 'script type="text/javascript" src="' + wikiserver + '/w/index.php?title=' + file + '&amp;action=raw&amp;ctype=text/javascript&amp;dontcountme=s"' + gt + lt+ '/script' + gt);
}
/*</pre>

== Import an external JavaScript ==
<pre>*/
var isMSIE = ((navigator.appName == 'Microsoft Internet Explorer' ) > 0);
if (isMSIE) {
   inc("kk", "MediaWiki:IEFixesplus.js"); // SEE ALSO [[MediaWiki:IEFixesplus.js]]
 }
/*</pre>

*/

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/* 
See also:
* [[MediaWiki:Common.js]]
* [[MediaWiki:Monobook.js]]
* [[MediaWiki:IEFixesplus.js]]
* [[MediaWiki:Unwatch.js]]
* [[MediaWiki:Onlyifediting.js]]
* [[MediaWiki:Wikificator.js]]
* [[MediaWiki:Pulldown.js]]
* [[MediaWiki:Translit.js]]
* [[MediaWiki:Edittools.js]]

== Tooltips and access keys ==
<pre>*/
/* tooltips and access keys */
var ta = new Object();
ta['pt-userpage'] = new Array('.','Жеке бетім');
ta['pt-anonuserpage'] = new Array('.','Осы IP жайдың жеке беті');
ta['pt-mytalk'] = new Array('n','Талқылауым');
ta['pt-anontalk'] = new Array('n','Осы IP жай түзетулерін талқылау');
ta['pt-preferences'] = new Array('','Баптауым');
ta['pt-watchlist'] = new Array('l','Өңделуін бақылап отырған беттер тізімім.');
ta['pt-mycontris'] = new Array('y','Үлесімнің тізімі');
ta['pt-login'] = new Array('o','Кіруіңізді ұсынамыз, ол міндетті емес.');
ta['pt-anonlogin'] = new Array('o','Кіруіңізді ұсынамыз, ол міндетті емес.');
ta['pt-logout'] = new Array('o','Шығу');
ta['ca-talk'] = new Array('t','Мағлұмат бетті талқылау');
ta['ca-edit'] = new Array('e','Осы бетті өңдей аласыз. Сақтаудың алдында «Қарап шығу» түймесін нұқыңыз.');
ta['ca-addsection'] = new Array('+','Осы талқылау бетінде жаңа тарау бастау.');
ta['ca-viewsource'] = new Array('e','Осы бет қорғалған, қайнарын қарауға болады.');
ta['ca-history'] = new Array('h','Осы беттін жуықтағы нұсқалары.');
ta['ca-protect'] = new Array('=','Осы бетті қорғау');
ta['ca-unprotect'] = new Array('=','Осы бетті қорғамау');
ta['ca-delete'] = new Array('d','Осы бетті жою'); 
ta['ca-undelete'] = new Array('d','Осы беттің жойылған алдындағы түзетулерін қайтару'); 
ta['ca-move'] = new Array('m','Осы бетті жылжыту'); 
ta['ca-nomove'] = new Array('m','Осы бетті жылжытуға рұқсатыңыз жоқ'); 
ta['ca-watch'] = new Array('w','Осы бетті бақылау тізіміңізге үстеу'); 
ta['ca-unwatch'] = new Array('w','Осы бетті бақылау тізіміңізден аластау'); 
ta['ca-varlang-0'] = new Array('','Кирилл жазуы');
ta['ca-varlang-1'] = new Array('','Латын жазуы');
ta['ca-varlang-2'] = new Array('','Араб жазуы');
ta['search'] = new Array('f','Осы жобадан іздеу'); 
ta['p-logo'] = new Array('','Басты бетке'); 
ta['n-mainpage'] = new Array('z','Басты бетке барыңыз'); 
ta['n-portal'] = new Array('','Жоба туралы, не істеуіңізге болады, қайдан табуға болады');
ta['n-currentevents'] = new Array('','Ағымдағы оқиғаларға қатысты ақпарат');
ta['n-recentchanges'] = new Array('r','Жуықтағы өзгерістер тізімі.');
ta['n-randompage'] = new Array('x','Кездейсоқ бет жүктеу');
ta['n-help'] = new Array('','Осы жоба туралы ақпарат табу орны.'); 
ta['n-sitesupport'] = new Array('','Бізге жәрдем етіңіз');
ta['n-contact'] = new Array('','Бізбен қалай қатынасуға болады?');
ta['n-alphindex'] = new Array('','Барлық бетті қарау');
ta['n-villagepump'] = new Array('','Осы жобаны дамытуының алқасы');
ta['n-featured'] = new Array('','Таңдамалы мақалалар — жобаның саңлақ беттері');
ta['n-rules'] = new Array('','Жобаның Ережелер беті');
ta['n-newpages'] = new Array('','Ең жаңа басталған беттер');
ta['n-commonsticker'] = new Array('','Ортаққорды бақылау қызметі');
ta['n-newspaper'] = new Array('','Қазақ Уикипедиясының Қабырға гәзеті');
ta['n-about'] = new Array('','Біздің жобалар мен ұйымдар туралы бет');
ta['t-whatlinkshere'] = new Array('j','Мында сілтеген барлық беттердің тізімін құру');
ta['t-recentchangeslinked'] = new Array('k','Мыннан сілтенген беттердің жуықтағы өзгерістері'); 
ta['feed-rss'] = new Array('','Осы беттің RSS арнасы');
ta['feed-atom'] = new Array('','Осы беттің Atom арнасы');
ta['t-contributions'] = new Array('','Осы қатысушының үлес тізімін қарау');
ta['t-emailuser'] = new Array('','Осы қатысушыға email жіберу');
ta['t-upload'] = new Array('u','Сурет не медиа файлдарын қотару');
ta['t-specialpages'] = new Array('q','Барлық арнайы беттердің тізімі');
ta['t-print'] = new Array('','Осы беттің басып шығару нұсқасы');
ta['t-permalink'] = new Array('','Беттің осы нұсқасының тұрақты сілтемесі');
ta['t-cite'] = new Array('','Осы мақаладан дәйексөз алу');
ta['ca-nstab-main'] = new Array('c','Мағлұмат бетін қарау');
ta['ca-nstab-user'] = new Array('c','Қатысушы бетін қарау');
ta['ca-nstab-media'] = new Array('c','Таспа бетін қарау');
ta['ca-nstab-special'] = new Array('','Бұл арнайы бет, беттің өзі өңделінбейді.');
ta['ca-nstab-project'] = new Array('a','Жоба бетін қарау');
ta['ca-nstab-image'] = new Array('c','Сурет бетін қарау');
ta['ca-nstab-mediawiki'] = new Array('c','Жүйе хабарын қарау');
ta['ca-nstab-template'] = new Array('c','Үлгіні қарау');
ta['ca-nstab-help'] = new Array('c','Анықтыма бетін қарау');
ta['ca-nstab-category'] = new Array('c','Санат бетін қарау');
ta['ca-nstab-Портал'] = new Array('c','Портал бетін қарау');
// Place Your scrips below this line 
/*</pre>


== Main Page titling ==
<pre>*/
// BEGIN Remove weird Main Page titling

// wgTitle, wgPageName — from global variables on HTML header of every page
var isMainPage = (wgPageName == "Басты_бет");
var isDiff = (document.location.search && (document.location.search.indexOf("diff=") != -1 || document.location.search.indexOf("oldid=") != -1));

if (isMainPage && !isDiff) 
{
 document.write('<style type="text/css">/*<![CDATA[*/ #lastmod, #siteSub, #contentSub, h1.firstHeading { display: none !important; } /*]]>*/</style>');
}
/*
//Main page tab no longer says article
function mainpg() {
      var mainTab = document.getElementById('ca-nstab-main');
      if ((isMainPage || /[\/=:]Басты_бет/.test(document.location)) && mainTab) {
            mainTab.firstChild.innerHTML = wgTitle;
            mainTab.firstChild.title = wgTitle;
      }   
}
addOnloadHook(mainpg);
*/
// END Remove weird mainPage titling
/*</pre>

== "Star" logo for Featured Articles ==
<pre>*/
// BEGIN Configuration for "star" logo for Featured Articles 
// Configuration for interwiki links to Featured Articles on other language editions
function LinkFA() {
  var langBody = document.getElementById("p-lang");
  if ( !langBody ) { return; }
    var langs = langBody.getElementsByTagName("li");
    for (var i=0; i < langs.length; i++) {
      var lang = langs[i];
      var code = lang.className.substr(10);
      if ( !document.getElementById(code) ) { continue; }
      lang.style.padding = "0 0 0 16px";
      lang.style.backgroundImage = "url('http://upload.wikimedia.org/wikipedia/ru/3/33/Small_skew_star.gif')";
      lang.style.backgroundRepeat = "no-repeat";
      lang.title = "Таңдамалы мақала";
  }
}

addLoadEvent(LinkFA);


// Configuration for "star" logo at the top of Featured Articles 
function StarFA() {
        if (document.getElementById("FA")) {
                // Monobook.css will take over styling from here
                document.body.className += " FA";
                // Iterate over all <h1> elements
                for (var i = 0; a = document.getElementsByTagName("h1")[i]; i++) {
                        // Apply a tooltip to the article title, which includes the little star
                        if (a.className == "firstHeading") {
                                a.title = "Таңдамалы мақала";
                        }
                }
        }
}

addLoadEvent(StarFA);


// END Configuration for "star" logo for Featured Articles */
/*</pre>

== Import an external JavaScript ==
<pre>*/
// Do place on the END of page
/*
// Add an "unwatch" link to each entry in your watchlist
var isWatchlist = (wgPageName == "Special:Watchlist");
if (isWatchlist) {
   inc("kk", "MediaWiki:Unwatch.js"); // SEE ALSO [[MediaWiki:Unwatch.js]]
}
*/
var isEdit = ((document.URL.indexOf("action=edit") > 0 || document.URL.indexOf("action=submit") > 0) && !document.getElementById('ca-viewsource') > 0);
 
// Add editing stuff (toolbar buttons, template pull-down menu etc)
if (isEdit) {
   inc("kk", "MediaWiki:Onlyifediting.js"); // SEE ALSO [[MediaWiki:Onlyifediting.js]]
   inc("kk", "MediaWiki:Pulldown.js"); // SEE ALSO [[MediaWiki:Pulldown.js]]
   inc("kk", "MediaWiki:Wikificator.js"); // SEE ALSO [[MediaWiki:Wikificator.js]]
     if (isMSIE) {
        // Add script for on-the-fly translit
        inc("kk", "MediaWiki:Translit.js"); // SEE ALSO [[MediaWiki:Translit.js]]
     }

 }

var isUpload = (document.URL.indexOf("Special:Upload") > 0);
// Add script for charsets pull-down menu
if (isEdit || isUpload){
   inc("kk", "MediaWiki:Edittools.js"); // SEE ALSO [[MediaWiki:Edittools.js]]
 }

/*
</pre>
*/